
_Interrupt:

;piki.mpas,6 :: 		begin
;piki.mpas,7 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;piki.mpas,8 :: 		end;
L__Interrupt14:
	RETFIE      1
; end of _Interrupt

_main:

;piki.mpas,9 :: 		begin
;piki.mpas,10 :: 		trisd:=0x00;
	CLRF        TRISD+0 
;piki.mpas,11 :: 		portd:=0;
	CLRF        PORTD+0 
;piki.mpas,12 :: 		trisa:=0xff;
	MOVLW       255
	MOVWF       TRISA+0 
;piki.mpas,13 :: 		trisc:=0x00;
	CLRF        TRISC+0 
;piki.mpas,14 :: 		portc:=0;
	CLRF        PORTC+0 
;piki.mpas,15 :: 		trisb:=0xff;
	MOVLW       255
	MOVWF       TRISB+0 
;piki.mpas,16 :: 		portb:=0;
	CLRF        PORTB+0 
;piki.mpas,17 :: 		CMCON:=7;
	MOVLW       7
	MOVWF       CMCON+0 
;piki.mpas,18 :: 		delay_ms(100) ;
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__main2:
	DECFSZ      R13, 1, 1
	BRA         L__main2
	DECFSZ      R12, 1, 1
	BRA         L__main2
	DECFSZ      R11, 1, 1
	BRA         L__main2
	NOP
	NOP
;piki.mpas,19 :: 		HID_Enable(@readbuff,@writebuff);
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;piki.mpas,20 :: 		while TRUE do begin
L__main4:
;piki.mpas,21 :: 		HID_Read();
	CALL        _HID_Read+0, 0
;piki.mpas,22 :: 		portd:=readbuff[0];
	MOVF        1280, 0 
	MOVWF       PORTD+0 
;piki.mpas,23 :: 		writebuff[0]:=adc_read(0)shr 2;
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       1344 
;piki.mpas,24 :: 		delay_ms(30);
	MOVLW       195
	MOVWF       R12, 0
	MOVLW       205
	MOVWF       R13, 0
L__main8:
	DECFSZ      R13, 1, 1
	BRA         L__main8
	DECFSZ      R12, 1, 1
	BRA         L__main8
;piki.mpas,26 :: 		while ( HID_Write(@writebuff,2)= 0) do;  EnD;
L__main10:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       2
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main10
	GOTO        L__main4
;piki.mpas,27 :: 		end.
	GOTO        $+0
; end of _main
